
function DrawItemIDWin()

	wItemIDWinParent = Turbine.UI.Lotro.Window();
	wItemIDWinParent:SetSize(500,600);
	wItemIDWinParent:SetPosition(SCREENWIDTH/3,SCREENHEIGHT/3);
	wItemIDWinParent:SetVisible(true);

	local _CLASSES = {"Burglar","Captain","Champion","Guardian","Hunter","LoreMaster","Minstrel","RuneKeeper","Warden"};

	ddClass = DropDown.Create(_CLASSES);
	ddClass:SetParent(wItemIDWinParent);
	ddClass:ApplyWidth(130);
	ddClass:SetPosition(40,45);

	local _CLASSSETS = GetSets("Burglar");

	ddSet = DropDown.Create(_CLASSSETS);
	ddSet:SetParent(wItemIDWinParent);
	ddSet:ApplyWidth(270);
	ddSet:SetPosition(180,45);

	ddClass.ItemChanged = function ()

		local _CLASSSETS = GetSets(ddClass:GetText());

		ddSet.Delete();

		ddSet = DropDown.Create(_CLASSSETS);
		ddSet:SetParent(wItemIDWinParent);
		ddSet:ApplyWidth(270);
		ddSet:SetPosition(180,45);

	end

	txtName = Turbine.UI.Lotro.TextBox();
	txtName:SetParent(wItemIDWinParent);
	txtName:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	txtName:SetSize(230,20);
	txtName:SetPosition(20,80);

	txtID = Turbine.UI.Lotro.TextBox();
	txtID:SetParent(wItemIDWinParent);
	txtID:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	txtID:SetSize(85,20);
	txtID:SetPosition(260,80);

	txtTokens = Turbine.UI.Lotro.TextBox();
	txtTokens:SetParent(wItemIDWinParent);
	txtTokens:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	txtTokens:SetSize(30,20);
	txtTokens:SetPosition(355,80);
	txtTokens:SetText("5");

	txtKey = Turbine.UI.Lotro.TextBox();
	txtKey:SetParent(wItemIDWinParent);
	txtKey:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	txtKey:SetSize(30,20);
	txtKey:SetPosition(395,80);
	txtKey:SetText("1");

	btnSend = Turbine.UI.Lotro.Button();
	btnSend:SetParent(wItemIDWinParent);
	btnSend:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	btnSend:SetPosition(435,80);
	btnSend:SetText("OK");

	btnSend.Click = function (sender,args)

		local OUTPUT = "";

		local SETID = 0;

		local KEY = txtKey:GetText();

		local ITEMNAME = txtName:GetText();

		-- Get Set ID.
		for k,v in pairs (_SETS) do
			if v.NAME[SETTINGS.LANGUAGE] == ddSet:GetText() then
				SETID = k;
				break;
			end
		end

		OUTPUT = "[" .. KEY .. "] = {[\"ID\"]=" .. txtID:GetText() .. ";[\"TOKENS\"]=" .. txtTokens:GetText() .. ";[\"SET\"]=" .. SETID .. ";[\"NAME\"]={[\"ENGLISH\"]=\"" .. ITEMNAME .. "\";[\"FRENCH\"]=\"" .. ITEMNAME .. "\";[\"GERMAN\"]=\"" .. ITEMNAME .. "\";[\"RUSSIAN\"]=\"" .. ITEMNAME .. "\";};};";

		txtCODE:AppendText(OUTPUT .. "\n");

		txtName:SetText("");
		txtID:SetText("");
		txtTokens:SetText("5");
		txtKey:SetText(KEY+1);

	end

	txtCODE = Turbine.UI.Lotro.TextBox();
	txtCODE:SetParent(wItemIDWinParent);
	txtCODE:SetFont(Turbine.UI.Lotro.Font.Verdana12);
	txtCODE:SetSize(460,440);
	txtCODE:SetPosition(20,120);

end


function GetSets(CLASS)

	local _RETURNTABLE = {};

	for k,v in pairs(_SETS) do

		if _CLASSES[v.CLASS] == CLASS then
			table.insert(_RETURNTABLE,v.NAME[SETTINGS.LANGUAGE]);
		end

	end

	return _RETURNTABLE;

end


DrawItemIDWin();


function FilterItemID(MESSAGESTRING)

	-- <Examine:IIDDID:0x0000000000000000:0x" .. ItemHEX .. ">

	--DisectMessage(MESSAGESTRING);

	local iStart,iEnd = string.find(MESSAGESTRING,"Examine:IIDDID:0x");

	iStart,iEnd = string.find(MESSAGESTRING,":0x",iEnd);

	local ITEMHEX = "0x" .. string.sub(MESSAGESTRING,iStart+3,iStart+10);

	iStart = string.find(MESSAGESTRING,"%[",iEnd);
	iEnd = string.find(MESSAGESTRING,"%]",iStart);

	local ITEMNAME = string.sub(MESSAGESTRING,iStart+1,iEnd-1);

	if string.find(ITEMNAME,"Helm") then txtTokens:SetText("35") end;
	if string.find(ITEMNAME,"Shoulder") then txtTokens:SetText("15") end;
	if string.find(ITEMNAME,"Jacket") then txtTokens:SetText("35") end;
	if string.find(ITEMNAME,"Glove") then txtTokens:SetText("15") end;
	if string.find(ITEMNAME,"Legging") then txtTokens:SetText("15") end;
	if string.find(ITEMNAME,"Boot") then txtTokens:SetText("15") end;

	txtName:SetText(ITEMNAME);
	txtID:SetText(ITEMHEX);

	btnSend.Click();

end


function DisectMessage(MESSAGESTRING)

	-- This function splits up the message to find hidden coding.
	local msgLEN = string.len(MESSAGESTRING);
	local OUTPUTSTRING = "";

	for i=1, msgLEN do
		OUTPUTSTRING = OUTPUTSTRING .. string.sub(MESSAGESTRING,i,i) .. " ";
	end

	Debug(OUTPUTSTRING);

end
